DBusTimeoutList Struct Reference
DBusTimeout implementation details

DBusTimeoutList implementation details. More...

## Data Fields

DBusList * | timeouts
| Timeout objects. More...
DBusAddTimeoutFunction | add_timeout_function
| Callback for adding a timeout. More...
DBusRemoveTimeoutFunction | remove_timeout_function
| Callback for removing a timeout. More...
DBusTimeoutToggledFunction | timeout_toggled_function
| Callback when timeout is enabled/disabled or changes interval.
void * | timeout_data
| Data for timeout callbacks.
DBusFreeFunction | timeout_free_data_function
| Free function for timeout callback data.

## Detailed Description

DBusTimeoutList implementation details.

All fields are private.

Definition at line 176 of file dbus-timeout.c.

## Field Documentation

DBusAddTimeoutFunction DBusTimeoutList::add_timeout_function

Callback for adding a timeout.

Definition at line 180 of file dbus-timeout.c.

Referenced by _dbus_timeout_list_add_timeout(), and _dbus_timeout_list_set_functions().

DBusRemoveTimeoutFunction DBusTimeoutList::remove_timeout_function

Callback for removing a timeout.

Definition at line 181 of file dbus-timeout.c.

Referenced by _dbus_timeout_list_remove_timeout(), and _dbus_timeout_list_set_functions().

DBusList* DBusTimeoutList::timeouts

Timeout objects.

Definition at line 178 of file dbus-timeout.c.

Referenced by _dbus_timeout_list_add_timeout(), _dbus_timeout_list_free(), _dbus_timeout_list_remove_timeout(), and _dbus_timeout_list_set_functions().

The documentation for this struct was generated from the following file:

- dbus-timeout.c